Skip to main content
POST
/
api
/
v1
/
brands
/
{brand_id}
/
integrations
/
google-ads
/
callback
Google Ads Callback
curl --request POST \
  --url https://api.example.com/api/v1/brands/{brand_id}/integrations/google-ads/callback \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "code": "<string>",
  "state": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "provider": "<string>",
  "account_id": "<string>",
  "account_name": "<string>",
  "status": "<string>",
  "scopes": [
    "<string>"
  ],
  "last_synced_at": "2023-11-07T05:31:56Z",
  "token_expires_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "has_oauth_credentials": false
}

Documentation Index

Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

brand_id
string<uuid>
required

Body

application/json
code
string
required
state
string
required

Response

Successful Response

Integration status — includes has_oauth_credentials so UI knows when the user has saved their own Google Cloud OAuth app credentials.

id
string<uuid>
required
provider
string
required
account_id
string | null
required
account_name
string | null
required
status
string
required
scopes
string[]
required
last_synced_at
string<date-time> | null
required
token_expires_at
string<date-time> | null
required
created_at
string<date-time>
required
has_oauth_credentials
boolean
default:false